
/*  ----------------------------------------------------------------------
   sf Control Panel - A management software for sf Firewall
   Copyright (C) 1997 Roland E. Schmid <schmid@acm.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Please address all correspondence concerning the software to 
   firewall-bugs@switch.ch.
   ----------------------------------------------------------------------  */

package sfclasses;

/**
 * This class contains all user customizable parameters like paths 
 * and filenames.
 * @version 1.0 13 Dec 1996
 * @author Roland E. Schmid
 */

public class Custom {

  // These constants refer to paths/files located on the firewall.
  // =============================================================
  // paths
  public final static String CONF_DIR = "/etc/firewall.d/";
  public final static String LOG_DIR = "/var/log/";

  // log files
  public final static String LOG = "firewall";
  public final static String SPY_LOG = "firewall.spy";
  public final static String REPORT = "firewall.report";

  // config files
  public final static String GLOBAL_CONFIG = "firewall.global";
  public final static String GENERATE_CONFIG = "firewall.conf.new";

  // These constants refer to paths/files located on the config client.
  // ==================================================================
  public static String DOC_DIR;
  public final static String DOC_DIR_DEFAULT = "/usr/local/share/sf/doc/";
  public final static String DOC_DIR_OS2 = "doc\\"; 

  static { // static class initializer
    String osName = System.getProperty("os.name");

    if (osName.equals("OS/2")) 
      DOC_DIR = DOC_DIR_OS2;
    else // default
      DOC_DIR = DOC_DIR_DEFAULT;
  }

} // Custom

