
/*  ----------------------------------------------------------------------
   sf Control Panel - A management software for sf Firewall
   Copyright (C) 1997 Roland E. Schmid <schmid@acm.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Please address all correspondence concerning the software to 
   firewall-bugs@switch.ch.
   ----------------------------------------------------------------------  */

package sfclasses;

import java.awt.*;

/**
 * This class describes Internet objects. An Internet object represents
 * an Internet connection.
 * @version 1.0 03 Dec 1996
 * @author Roland E. Schmid
 */

public class Internet extends IconObject {

  /** 
   * Initialize Internet object
   */
  public Internet() {
    // implicit call to super()
    if (bSource == null)
      bSource = new web01ImageSource();
    icon = Toolkit.getDefaultToolkit().createImage(bSource);
    objectID = new String("Internet");
  }

  // overriding Object methods

  /**
   * @return string describing the Internet object
   */
  public String toString() {
    return "Internet: "+objectInfo();
  }
  
  private static java.awt.image.ImageProducer bSource = null;

}

// Internet icon
class web01ImageSource extends java.awt.image.MemoryImageSource {

  final static int bWidth = 47;
  final static int bHeight = 46;
  private static int[] bPixels = { // color model is AARRGGBB

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0xff000000, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xffff0000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xffff0000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0xffff0000, 0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 0xff000000, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xffff0000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0xff000000, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0xff000000, 
    0xff000000, 0xff000000, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 0x00ffffff, 
    0x00ffffff, 0x00ffffff, 

    };

  public web01ImageSource() {
    super( bWidth, bHeight, bPixels, 0, bWidth );
  }
}
