
/*  ----------------------------------------------------------------------
   sf Control Panel - A management software for sf Firewall
   Copyright (C) 1997 Roland E. Schmid <schmid@acm.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Please address all correspondence concerning the software to 
   firewall-bugs@switch.ch.
   ----------------------------------------------------------------------  */

package sfclasses;

/**
 * This interface is used to refresh a frame after a child dialog box has
 * terminated. Normally the parent frame has no possibility to know when
 * the child window closes. If the parent frame class implements Refreshable,
 * the parent frame object can be passed to the child window as a parameter
 * when creating it. The child window can then call the refresh() method
 * of the Refreshable object before closing. The parent frame can implement
 * any cleanup or update code in the refresh() method.
 * @version 1.0 14 Jan 1997
 * @author Roland E. Schmid
 */

public interface Refreshable  {

  public void refresh();

}

